Bug 1334384 (CVE-2016-4952)

Summary: CVE-2016-4952 Qemu: scsi: pvscsi: out-of-bounds access issue in pvsci_ring_init_msg/data routines
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, ailan, alonbl, apevec, areis, ayoung, chrisw, drjones, imammedo, jen, jschluet, knoel, lhh, lpeer, markmc, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, rkrcmar, sclewis, security-response-team, srevivo, tdecacqu, virt-maint, vkuznets, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Quick Emulator(Qemu) built with the VMWARE PVSCSI paravirtual SCSI bus emulation support is vulnerable to an OOB r/w access issue. It could occur while processing SCSI commands 'PVSCSI_CMD_SETUP_RINGS' or 'PVSCSI_CMD_SETUP_MSG_RING'. A privileged user inside guest could use this flaw to crash the Qemu process resulting in DoS.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:51:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1338736    
Bug Blocks: 1334395    
Attachments:
Description Flags
Crash report none

Description Andrej Nemec 2016-05-09 13:33:02 UTC
Quick Emulator(Qemu) built with the VMWARE PVSCSI paravirtual SCSI bus emulation support is vulnerable to an OOB r/w access issue. It could occur while processing SCSI commands 'PVSCSI_CMD_SETUP_RINGS' or 'PVSCSI_CMD_SETUP_MSG_RING'.

A privileged user inside guest could use this flaw to crash the Qemu process resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-05/msg03774.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/05/23/1

Comment 1 Andrej Nemec 2016-05-09 13:33:18 UTC
Acknowledgments:

Name: Li Qiang (Qihoo 360 Inc.)

Comment 2 Andrej Nemec 2016-05-09 13:37:16 UTC
Created attachment 1155326 [details]
Crash report

Comment 6 Prasad J Pandit 2016-05-23 10:50:53 UTC
*** Bug 1334392 has been marked as a duplicate of this bug. ***

Comment 7 Prasad J Pandit 2016-05-23 11:05:00 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1338736]

Comment 8 Fedora Update System 2016-06-25 19:23:59 UTC
qemu-2.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-02 19:23:45 UTC
qemu-2.3.1-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-07-02 19:29:03 UTC
qemu-2.4.1-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.